summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-18 20:23:01 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-28 23:40:49 +0100
commit7494c9316a582a48ba652517a1c412b39243016c (patch)
treee0384bdd14b068587995af30533a6ea44ddd1b74 /tests
parentff59d1ad53c03d747b8b628f41db2141f4e6e515 (diff)
test suite: new test forcesplit-linear
Test split view with non-splitting quilt mode. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/forcesplit-linear45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/tests/forcesplit-linear b/tests/tests/forcesplit-linear
new file mode 100755
index 0000000..4856d6a
--- /dev/null
+++ b/tests/tests/forcesplit-linear
@@ -0,0 +1,45 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+t-buildproductsdir-config
+
+t-archive example 1.0-1
+t-select-package example
+t-git-none
+
+t-dgit clone $p
+cd $p
+
+echo '/* More patch */' >>src.c
+git add src.c
+
+t-commit 'More patch' 1.0-2
+
+t-refs-same-start
+t-ref-head
+t-dgit --split-view push-source
+t-ref-head
+
+
+t-commit 'More more patch' 1.0-3
+
+t-dgit --split-view --save-dgit-view=split.b quilt-fixup
+
+git reflog expire --expire=all refs/dgit-intern/quilt-cache
+test "x$(git reflog refs/dgit-intern/quilt-cache)" = x
+
+t-refs-same-start
+t-ref-head
+t-dgit --split-view --save-dgit-view=split.p push-source
+t-ref-head
+
+suite=sid
+
+t-splitbrain-pushed-good-start
+t-splitbrain-pushed-good--unpack
+t-splitbrain-rm-1-patch more-patch.patch
+t-splitbrain-pushed-good-end-made-dep14
+
+t-ok